import { vec } from "mafs";
import type { GraphDimensions } from "../types";
export declare function vectorsToPixels(vectors: vec.Vector2[], graphState: GraphDimensions, translation?: vec.Vector2): vec.Vector2[];
export declare function dimensionsToPixels(dimens: vec.Vector2[], graphState: GraphDimensions): vec.Vector2[];
export declare function pointToPixel(point: vec.Vector2, graphState: GraphDimensions): vec.Vector2;
export declare const useTransformVectorsToPixels: (...vectors: vec.Vector2[]) => vec.Vector2[];
export declare const useTransformDimensionsToPixels: (...dimens: vec.Vector2[]) => vec.Vector2[];
export declare function pixelsToVectors(pixels: vec.Vector2[], graphState: GraphDimensions): vec.Vector2[];
